package com.dayou.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.dayou.entity.QuestionAnalysis;
import com.dayou.vo.AnalysisResultVO;
import com.dayou.vo.ChildrenParentName;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/19
 * created with IntelliJ IDEA.
 */
public interface QuestionAnalysisMapper extends BaseMapper<QuestionAnalysis> {
    List<AnalysisResultVO> getAnalysisList();

    List<AnalysisResultVO> getAnalysisListByCycleId(@Param("id") Long id);

    List<ChildrenParentName> getParentLabel();
}
