package com.dayou.dto;

import com.github.liangbaika.validate.annations.AbcValidate;
import com.github.liangbaika.validate.enums.Check;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Map;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/13
 * created with IntelliJ IDEA.
 */
@Data
public class CommitDTO {

    @AbcValidate(required = true,message = "专家编号不能为空",fun = Check.NotEmpty)
    private String professorNo;

    @AbcValidate(required = true,message = "答案不能为空",fun = Check.NotNull)
    private Map<Long, BigDecimal> result;
}
