package com.dayou.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.dayou.dto.CommitDTO;
import com.dayou.entity.ProfessorResult;
import com.dayou.vo.AnalysisResultVO;
import com.dayou.vo.DocumentCycleVO;
import com.dayou.vo.ProfessorResultVO;

import java.util.List;

/**
 * 类说明：
 *
 * @author: wucl
 * @since: 2023/7/13
 * created with IntelliJ IDEA.
 */
public interface IProfessorResultService extends IService<ProfessorResult> {
    Boolean commitDocument(DocumentCycleVO documentCycleVO);

    List<ProfessorResultVO> getResultList();


    List<ProfessorResultVO> getResultByCycleId(Long id);

    boolean removeScore(Long id);
}
